<nav class="navbar navbar-expand-lg navbar-dark bg-dark">
  <a class="navbar-brand" style="color:white;">Recipe Manager</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarColor02" aria-controls="navbarColor02" aria-expanded="false" aria-label="Toggle navigation">
  <span class="navbar-toggler-icon"></span>
  </button>
  <div class="collapse navbar-collapse" id="navbarColor02">
     <ul class="navbar-nav mr-auto">
        <li class="nav-item active">
           <a class="nav-link" (click)="onOpenModal(null, 'add')">Add Recipe <span class="sr-only">(current)</span></a>
        </li>
     </ul>
     <form class="form-inline my-2 my-lg-0">
        <input type="search" (ngModelChange)="searchRecipe(key.value)" #key="ngModel" ngModel
         name="key" id="searchName" class="form-control mr-sm-2" placeholder="Search recipes..." required>
     </form>
  </div>
</nav>
<div class="container" id="main-container">
<div class="row">
  <div *ngFor="let recipe of recipes" class="col-md-6 col-xl-3">
     <div class="card m-b-30">
        <div class="card-body row">
           <div class="col-6">
              <!-- <a href=""><img src="{{recipe?.imageUrl}}" alt="" class="img-fluid rounded-circle w-60"></a> -->
           </div>
           <div class="col-6 card-title align-self-center mb-0">
              <h5>{{recipe?.name}}</h5>
              <p class="m-0">{{recipe?.description}}</p>
           </div>
        </div>
        <ul class="list-group list-group-flush">
           <li class="list-group-item"><i class="fa fa-envelope float-right"></i>{{recipe?.insturctions}}</li>
           <li class="list-group-item"><i class="fa fa-phone float-right"></i>Phone : {{recipe?.ingredient}}</li>
        </ul>
        <div class="card-body">
           <div class="float-right btn-group btn-group-sm">
              <a (click)="onOpenModal(recipe, 'edit')" class="btn btn-primary tooltips" data-placement="top" data-original-title="Edit"><i class="fa fa-pencil"></i> </a>
              <a (click)="onOpenModal(recipe, 'delete')" class="btn btn-secondary tooltips" data-placement="top" data-original-title="Delete"><i class="fa fa-times"></i></a>
           </div>
        </div>
     </div>
  </div>
</div>

<!-- Add Recipe Modal -->
<div class="modal fade" id="addRecipeModal" tabindex="-1" role="dialog" aria-labelledby="addRecipeModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
    <div class="modal-content">
       <div class="modal-header">
          <h5 class="modal-title" id="addRecipeModalLabel">Add Recipe</h5>
          <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">&times;</span>
          </button>
       </div>
       <div class="modal-body">
          <form #addForm="ngForm" (ngSubmit)="onAddRecipe(addForm)">
          <div class="form-group">
             <label for="name">Name</label>
             <input type="text" ngModel name="name" class="form-control" id="name" placeholder="Name" required>
          </div>
          <div class="form-group">
             <label for="description">Description</label>
             <input type="email" ngModel name="description" class="form-control" id="description" placeholder="description" required>
          </div>
          <div class="form-group">
             <label for="instructions">Instructions</label>
             <input type="text" ngModel name="instructions" class="form-control" id="instructions" placeholder=" instructions" required>
          </div>
          <div class="form-group">
             <label for="ingredients">Ingredients</label>
             <input type="text" ngModel name="ingredients" class="form-control" id="ingredients" placeholder="ingredients" required>
          </div>
          <div class="form-group">
             <label for="phone">I</label>
             <input type="text" ngModel name="imageUrl" class="form-control" id="imageUrl" placeholder="Image URL" required>
          </div>
          <div class="modal-footer">
             <button type="button" id="add-recipe-form" class="btn btn-secondary" data-dismiss="modal">Close</button>
             <button [disabled]="addForm.invalid" type="submit" class="btn btn-primary" >Save changes</button>
          </div>
          </form>
       </div>
    </div>
  </div>
  </div>

<!-- Edit Modal -->
<div class="modal fade" id="updateRecipeModal" tabindex="-1" role="dialog" aria-labelledby="recipeEditModalLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
     <div class="modal-content">
        <div class="modal-header">
           <h5 class="modal-title" id="updateRecipeModalLabel">Edit Recipe{{editRecipe?.name}}</h5>
           <button type="button" class="close" data-dismiss="modal" aria-label="Close">
           <span aria-hidden="true">&times;</span>
           </button>
        </div>
        <div class="modal-body">
           <form #editForm="ngForm">
              <div class="form-group">
                 <label for="name">Name</label>
                 <input type="text" ngModel="{{editRecipe?.name}}" name="name" class="form-control" id="name" aria-describedby="emailHelp" placeholder="Name">
              </div>
              <input type="hidden" ngModel="{{editRecipe?.id}}" name="id" class="form-control" id="id" placeholder="Email">
              <input type="hidden" ngModel="{{editRecipe?.createdAt}}" name="userCode" class="form-control" id="userCode" placeholder="Email">
              <div class="form-group">
                 <label for="description">description</label>
                 <input type="email" ngModel="{{editRecipe?.description}}" name="description" class="form-control" id="description" placeholder="Description">
              </div>
              <div class="form-group">
                 <label for="instructions">Instructions</label>
                 <input type="text" ngModel="{{editRecipe?.instructions}}" name="instructions" class="form-control" id="instructions" placeholder="Instructions">
              </div>
              <div class="form-group">
                 <label for="ingredient">Ingredients</label>
                 <input type="text" ngModel="{{editRecipe?.ingredient}}" name="ingredient" class="form-control" id="ingredient" name="ingredient" placeholder="Ingredient">
              </div>
              <div class="form-group">
                 <label for="phone">Created At</label>
                 <input type="text" ngModel="{{editRecipe?.createdAt}}" name="createdAt" class="form-control" id="createdAt" placeholder="created At">
              </div>
              <div class="modal-footer">
                 <button type="button" id="" data-dismiss="modal" class="btn btn-secondary">Close</button>
                 <button (click)="onUpdateRecipe(editForm.value)" data-dismiss="modal" class="btn btn-primary" >Save changes</button>
              </div>
           </form>
        </div>
     </div>
  </div>
</div>

<!-- Delete Modal -->
<div class="modal fade" id="deleteRecipeModal" tabindex="-1" role="dialog" aria-labelledby="deleteModelLabel" aria-hidden="true">
  <div class="modal-dialog" role="document">
     <div class="modal-content">
        <div class="modal-header">
           <h5 class="modal-title" id="deleteModelLabel">Delete Recipe</h5>
           <button type="button" class="close" data-dismiss="modal" aria-label="Close">
           <span aria-hidden="true">&times;</span>
           </button>
        </div>
        <div class="modal-body">
           <p>Are you sure you want to delete recipe {{deleteRecipe?.name}}?</p>
           <div class="modal-footer">
              <button type="button" class="btn btn-secondary" data-dismiss="modal">No</button>
              <button (click)="onDeleteRecipe(deleteRecipe?.id)" class="btn btn-danger" data-dismiss="modal">Yes</button>
           </div>
        </div>
     </div>
  </div>
</div>
</div>

<!-- Notification for no recipes -->
<div *ngIf="recipes?.length == 0" class="col-lg-12 col-md-12 col-xl-12">
<div class="alert alert-info" role="alert">
  <h4 class="alert-heading">NO RECIPES!</h4>
  <p>No Recipe were found.</p>
</div>
</div>
